/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * TerritorySuggestion
 */

public class TerritorySuggestion {
  @JsonProperty("code")
  private String code = null;

  @JsonProperty("id")
  private String id = null;

  @JsonProperty("keys")
  private Object keys = null;

  @JsonProperty("level")
  private String level = null;

  @JsonProperty("name")
  private String name = null;

  @JsonProperty("score")
  private BigDecimal score = null;

  public TerritorySuggestion code(String code) {
    this.code = code;
    return this;
  }

   /**
   * The territory main code
   * @return code
  **/
  @ApiModelProperty(required = true, value = "The territory main code")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public TerritorySuggestion id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The territory identifier
   * @return id
  **/
  @ApiModelProperty(required = true, value = "The territory identifier")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public TerritorySuggestion keys(Object keys) {
    this.keys = keys;
    return this;
  }

   /**
   * The territory known codes
   * @return keys
  **/
  @ApiModelProperty(value = "The territory known codes")
  public Object getKeys() {
    return keys;
  }

  public void setKeys(Object keys) {
    this.keys = keys;
  }

  public TerritorySuggestion level(String level) {
    this.level = level;
    return this;
  }

   /**
   * The territory administrative level
   * @return level
  **/
  @ApiModelProperty(required = true, value = "The territory administrative level")
  public String getLevel() {
    return level;
  }

  public void setLevel(String level) {
    this.level = level;
  }

  public TerritorySuggestion name(String name) {
    this.name = name;
    return this;
  }

   /**
   * The territory name
   * @return name
  **/
  @ApiModelProperty(required = true, value = "The territory name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public TerritorySuggestion score(BigDecimal score) {
    this.score = score;
    return this;
  }

   /**
   * The internal match score
   * @return score
  **/
  @ApiModelProperty(required = true, value = "The internal match score")
  public BigDecimal getScore() {
    return score;
  }

  public void setScore(BigDecimal score) {
    this.score = score;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TerritorySuggestion territorySuggestion = (TerritorySuggestion) o;
    return Objects.equals(this.code, territorySuggestion.code) &&
        Objects.equals(this.id, territorySuggestion.id) &&
        Objects.equals(this.keys, territorySuggestion.keys) &&
        Objects.equals(this.level, territorySuggestion.level) &&
        Objects.equals(this.name, territorySuggestion.name) &&
        Objects.equals(this.score, territorySuggestion.score);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, id, keys, level, name, score);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TerritorySuggestion {\n");

    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    keys: ").append(toIndentedString(keys)).append("\n");
    sb.append("    level: ").append(toIndentedString(level)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    score: ").append(toIndentedString(score)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

